Bug 502371 - xserver fails to start with nouveau + geforce go 6200
xserver fails to start with nouveau + geforce go 6200
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 10:20 EDT by k.t.
Modified: 2009-06-30 17:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.0.12-40.20090528git0c17b87.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 06:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log of livecd (8.53 KB, text/plain)
2009-05-24 10:22 EDT, k.t.
no flags Details
xorg.log of installed system (8.53 KB, text/plain)
2009-05-24 10:22 EDT, k.t.
no flags Details
dmesg of livecd (46.03 KB, text/plain)
2009-05-24 10:24 EDT, k.t.
no flags Details
lspci -v (6.72 KB, text/plain)
2009-05-24 10:26 EDT, k.t.
no flags Details
Xorg log without xorg.conf file and working nouveau drivers (46.60 KB, text/plain)
2009-05-25 05:40 EDT, k.t.
no flags Details

  None (edit)
Description k.t. 2009-05-24 10:20:40 EDT
Description of problem: livecd won't make it to gdm start; the following message gets repeated several times while console screen flashes:

nouveau 0000:01:00.0: Allocating FIFO number 0
nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 0
nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 0
nouveau 0000:01:00.0: Allocating FIFO number 0
nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 0
nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 0



Version-Release number of selected component (if applicable):
nouveau driver on livecd preview release and an updated version after installation to hard disk = "1:0.0.12-36.20090514git9656762.fc11 (i586)"

How reproducible:
always

Steps to Reproduce:
1.boot livecd or edit xorg.conf and change "nv" driver to "nouveau"
  
Actual results:
1.fail
2.I've to ctl-alt-f2, login as root, create new xorg.conf with "nv"

Expected results:
startx

Additional info:
I will add dmesg from livecd and failed xserver start after installing fedora on hard disk
Comment 1 k.t. 2009-05-24 10:22:08 EDT
Created attachment 345246 [details]
xorg.log of livecd
Comment 2 k.t. 2009-05-24 10:22:55 EDT
Created attachment 345247 [details]
xorg.log of installed system
Comment 3 k.t. 2009-05-24 10:24:06 EDT
Created attachment 345248 [details]
dmesg of livecd
Comment 4 k.t. 2009-05-24 10:26:46 EDT
Created attachment 345249 [details]
lspci -v
Comment 5 Ben Skeggs 2009-05-24 19:03:58 EDT
Thanks for the report, can you give the build at http://koji.fedoraproject.org/koji/buildinfo?buildID=103509 a try?
Comment 6 k.t. 2009-05-25 05:40:32 EDT
Created attachment 345297 [details]
Xorg log without xorg.conf file and working nouveau drivers

Yes, X server works now with suggested nouveau drivers.
Comment 7 Ben Skeggs 2009-05-25 06:01:33 EDT
Thank you!
Comment 8 Fedora Update System 2009-06-17 08:28:41 EDT
xorg-x11-drv-nouveau-0.0.12-39.20090528git0c17b87.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-nouveau-0.0.12-39.20090528git0c17b87.fc11
Comment 9 Fedora Update System 2009-06-30 17:38:18 EDT
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.